Agent BrainsAgent Brains
APICategories

Update category

Partially updates a Knowledge Base category.

PATCH
/knowledge-base/categories/{id}
x-api-key<token>

Preferred authentication header.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.agent-brains.com/knowledge-base/categories/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "_id": "string",
  "name": "string",
  "description": "string",
  "categoryAlias": "string",
  "policy": "string",
  "parent": {},
  "children": [
    "string"
  ],
  "entities": [
    "string"
  ],
  "permissions": {
    "canDelete": true,
    "canChangeHierarchy": true
  },
  "createdAt": "string",
  "updatedAt": "string"
}
Empty
Empty
Empty